Skip to main content
GET
Get Provider Config

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

config_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Response

Successful Response

created_at
string<date-time>
required
created_by
string
required
endpoint_url
string | null
required
id
string
required
is_active
boolean
required
is_public
boolean
required
name
string
required
provider_spec_id
string
required
updated_at
string<date-time>
required
workspace_id
string
required
managed_by
string | null
model_instance_ids
string[]
provider_spec_key
string | null
provider_spec_name
string | null
requires_api_key
boolean
default:true